Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPrinter.ColorMode

    java.lang.Object
      java.lang.Enum<QPrinter.ColorMode>
          com.trolltech.qt.gui.QPrinter.ColorMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPrinter.ColorMode>

Enclosing class:
  QPrinter

    public static enum QPrinter.ColorMode

extends java.lang.Enum<QPrinter.ColorMode>
implements QtEnumerator

This enum type is used to indicate whether `QPrinter` should print in color or not.

Enum Constant Summary
`Color` print in color if available, otherwise in grayscale.
`GrayScale` print in grayscale, even on color printers.

Method Summary
`static QPrinter.ColorMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrinter.ColorMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPrinter.ColorMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GrayScale

    public static final QPrinter.ColorMode GrayScale

  print in grayscale, even on color printers.

### Color

    public static final QPrinter.ColorMode Color

  print in color if available, otherwise in grayscale.

Method Detail

### values

    public static final QPrinter.ColorMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPrinter.ColorMode c : QPrinter.ColorMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPrinter.ColorMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrinter.ColorMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD